# Step-by-Step Setup Guide

This guide walks you through the initial account setup, token generation, and connecting your first project to Seal Security.

## Account Creation & Token Generation

Follow these steps to access the platform and prepare your environment. If you already have a token, you can skip to the next section.

1. **Access the Invite:** Click on the **Sign in >** button in the Seal Security invite email you received.
2. **Log In:** Log in to the platform using your password or social login credentials.
3. **Start Onboarding:** We're starting the onboarding flow. Click **Next >** to begin.
4. **Generate Token:** First, you must generate a token to Seal's artifact server. This allows you to download our sealed versions.\
   ![Generate Token](/files/PavZ4q5NrXJse1vkrR0Y)
   1. **Generate:** Click on **Generate token**.
   2. **Copy:** Copy the newly generated token using the copy icon at the right of the text box.

      > **Important:** You will need this token later. While it should eventually be saved in a secure location (like a password manager or secret store), copy it now for immediate use in the next steps.
   3. **Download CLI:** Download the appropriate CLI binary for your machine.
   4. **Continue:** Click **Next >**.
5. Click **Maybe later** to skip the GitHub integration.
6. **View Protection page:** You will land on the Protection screen.
   * **Status:** Since no projects are connected yet, we are not showing any results.
   * **Next Step:** We are now going to populate this data using the CLI. ![Empty Protection page](/files/Fgf0cjrcjNzbEzFu4thb)

## Integrate the Seal CLI

To start fixing vulnerabilities (and populate the Protection page), you must integrate the CLI into your build pipeline.

**The Golden Rule:** In all cases, the CLI step must be added **immediately after** dependencies are pulled/installed (from standard registries or your artifact server) but before the final build/compilation.

**Important Configuration:** For all integration methods, you must ensure the following environment variables are set:

* `SEAL_TOKEN`: The token you generated earlier.
* `SEAL_PROJECT`: The ID of your project on the Seal platform (e.g., "my-first-project").

Identify the location of your build pipeline.

In the pipeline, identify the step where dependencies are installed (e.g., `bundle install`).

Identify the location of the `Gemfile.lock` file.

Add the seal fix command:

```bash
bundle install
export SEAL_TOKEN=${YOUR_TOKEN}
export SEAL_PROJECT="my-first-project"
export SEAL_USE_SEALED_NAMES=1
# Black Duck integration
export SEAL_BLACKDUCK_URL=${BLACKDUCK_URL}
export SEAL_BLACKDUCK_TOKEN=${BLACKDUCK_TOKEN}
export SEAL_BLACKDUCK_PROJECT=${BLACKDUCK_PROJECT}
export SEAL_BLACKDUCK_PROJECT_VERSION_NAME=${BLACKDUCK_PROJECT_VERSION_NAME}
seal fix --mode local Gemfile.lock
```

## Sealing a package

Once you have integrated the CLI into your pipeline, follow these steps to see the results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sealsecurity.io/step-by-step-onboarding-guides/ruby_bundler-no_scm-blackduck-local-cli_local-renamed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
